#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class BarMenuItem < Gtk::ImageMenuItem
	include ManqodCommon
	include Conf

	def initialize(menubar,iid)
		@menubar=menubar
		@id=iid
		if row=admin.qrow("select gtkmenu.*,
			modules.modname
			from gtkmenu 
			left join modules on gtkmenu.module = modules.id
			where gtkmenu.id='#{id}'")
			@modname=row["modname"]
			if row["module"].to_i == -1
				@target=nil
				else
				@target=row['target'] 
			end
		end
		@text=row['display']
		super(text)
		set_image(Gtk::Image.new(image_of_id(row['imageid'].to_i,"gtk-menu")))
		child.modify_font(Pango::FontDescription.new(get_conf(0,0,"bar-menu-font")))
		signal_connect("activate"){
			edebug("menuitem #{id} #{target} emiting signal","menu","debug")
			@menubar.update(self)
		}
		self
	end
	attr_accessor :target
	attr_accessor :id
	attr_accessor :modname
	attr_accessor :text

	def inspect
		"SubMenuItem(#{id},#{text})"
	end
	def to_s
		inspect
	end
end

