#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class Fixnum
	def strftime(format)
		d,r=(self.to_f).divmod(24*3600)
		h,r=(r).divmod(3600)
		m,s=(r).divmod(60)
		ret=String.new(format)
		ret.sub!("%j","#{d}")
		ret.sub!("%d","#{d}")
		ret.sub!("%h","#{h + d*24}")
		ret.sub!("%H","#{"%02d" % h}")
		ret.sub!("%M","#{"%02d" % m}")
		ret.sub!("%S","#{"%02d" % s.round}")
		ret
	end
end

class Time
	def wday_non_gb
		wday==0 ? 6 : wday-1
	end
	def strftime_w(str)
		s=str.clone
		s.sub!("%W",(strftime("%W").to_i+1).to_s) if str.include?("%W")
		strftime(s)
	end
	def round(res='d')
		#res can be H=hour,d=day,W=week
		#Time.gm(0,0,res=="H" ? hour : 0,day,month,year)#,yday - (res=="W" ? wday_non_gb : 0),false)
		m=month
		y=year
		if res=="W"
			if day <= wday_non_gb
				t=Time.at(self-7*24*60*60)
				d=t.day
				m=t.month
				y=t.year
			else
				d=day - wday_non_gb
			end
		else
			d=day
		end
		Time.mktime(y, m, d, res=="H" ? hour : 0)
	end

end
