#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class MyCellRendererText < Gtk::CellRendererText
	def initialize(column)
		@jump_to_next=false
		super()
		set_ellipsize(column.pango_ellipsize)
		set_ellipsize_set(true)
#		set_wrap_mode(Pango::WRAP_WORD)
		signal_connect("edited") { |me,path,new_value|
			view.list_model.change_value_of_path(path,column.header['data'],new_value)
			if @jump_to_next
				if next_col=view.next_editable_column(column)
					view.set_cursor(view.list_model.iter_at_cursor.path,next_col,true)#  if next_col.header["type"]!="gtk_toggle"
				end
				@jump_to_next=false
			end
			true
		}
		signal_connect("editing-started"){|cell, editable_widget, path|
			editable_widget.signal_connect("key-press-event"){|me,event|
				@jump_to_next= Gdk::Keyval.to_name(event.keyval) == "Return"
				false
			}
		}
	end
	attr_accessor :model_col_num
	attr_accessor :view
	
	def set_column(column)
		@column=column
		@view=column.list
		@model_col_num=column.colnum
		set_editable_set(column.header['editable'])
		set_editable(column.header['editable'])
#		set_mode(Gtk::CellRenderer::MODE_INERT)
#		set_sensitive(false)
	end
	
	def data
		column.header["data"]
	end
	def caller
		view
	end
end

