#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class GanttHolder < Gtk::VBox
	include ManqodCommon

	def initialize(list_holder)
		@list_holder=list_holder
		super()
		
		@gantt=Gantt.new(self)
		pack_start(@scaler=GanttScaler.new(self),false,false)
		pack_start(gantt)
		pack_start(@footer=GanttFooter.new(self),false,false)
		set_size_request(0,0)
		
		list.signal_connect("cursor-changed"){|me| @gantt.update(self)}
		list.signal_connect("size-allocate"){|me,*a| 
			@scaler.update(self)
			@gantt.update(self)
		}
	end
	attr_reader :scaler, :gantt, :footer
	
	def update
	end
	
	def list
		@list_holder.list
	end

end

