#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class GanttFooter < Gtk::HBox
	def initialize(gantt_holder)
		@gantt_holder=gantt_holder
		super()
		set_height_request(20)
		pack_start(zoomer=Gtk::HBox.new,false,false)
		zoomer.pack_start(zoom_in=Gtk::Button.new.set_image(Gtk::Image.new(Gtk::Stock::ZOOM_IN,Gtk::IconSize::SMALL_TOOLBAR)))
		zoomer.pack_start(zoom_out=Gtk::Button.new.set_image(Gtk::Image.new(Gtk::Stock::ZOOM_OUT,Gtk::IconSize::SMALL_TOOLBAR)))
		zoomer.pack_start(@zoom_label=Gtk::Label.new)
		set_res_label
		zoom_in.signal_connect("pressed"){|me| 
			gantt_holder.gantt.zoom_in
		}
		zoom_out.signal_connect("pressed"){|me| 
			gantt_holder.gantt.zoom_out
		}
	end
	attr_reader :gantt_holder
	def set_res_label
		@zoom_label.set_label("resolution:\n#{gantt_holder.gantt.res_name}")
	end
end

