#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class MyFRenderer < Gtk::EventBox
	include Conf
	
	def initialize(list,column)
		@column=column
	  @header=column.header
	  @list=list
	  @defval=defval
	  super()
		case @header['type']
		  when 'gtk_text' then @renderer=MyFRendererText.new(self,@header)
		  when 'gtk_toggle' then @renderer=MyFRendererToggle.new(self,@header)
		  when 'gtk_const_combo' then
				@header['admin']=true
				@header['querySQL']="select * from scv where combo='"+@header['data']+"' order by cdisplay"
				@header['wantnew']=true
				@renderer=MyFRendererCombo.new(self,@header)
		  when 'gtk_combo' then 
				@header['wantnew']=true
				@renderer=MyFRendererCombo.new(self,@header)
		  else
				@renderer=MyFRendererText.new(self,@header)
		end

	  add(renderer)
	  @last_width=width_request
	end
	attr_accessor :header
	attr_accessor :list
	attr_accessor :defval
	attr_accessor :renderer
	attr_accessor :header

	def update(newtext="")
		renderer.update(newtext) if renderer
	end
	def set_width_request(new_width)
		if width_request != new_width and @last_width != new_width
			@last_width=width_request
			renderer.set_width_request(new_width)
		end
		self
	end
	def width_request
	  renderer.width_request
	end
	def get_list_id
	  list.get_id
	end
	def set_height_request(h)
	  renderer.set_height_request(h)
	end
end

