#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

	class ItemTextAlignment < Gtk::HBox
		include ManqodCommon
		def initialize
			super()
			pack_start(@left=Gtk::RadioButton.new("left").set_draw_indicator(false))
			pack_start(@center=Gtk::RadioButton.new(@left,"center").set_draw_indicator(false))
			pack_start(@right=Gtk::RadioButton.new(@left,"right").set_draw_indicator(false))
			@left.signal_connect("toggled"){|me| @item.set_text_alignment("left") if @left.active? }
			@center.signal_connect("toggled"){|me| @item.set_text_alignment("center") if me.active? }
			@right.signal_connect("toggled"){|me| @item.set_text_alignment("right") if me.active? }
		end
		attr_reader :updated, :item
		def update(item)
			@item=item
			case @item.text_alignment
				when "right" then @right.set_active(true)
				when "center" then @center.set_active(true)
				else @left.set_active(true)
			end
			self
		end
	end

