#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class SB <Gtk::Statusbar
	include Singleton
	include Eprint
	def initialize
		super
		set_homogeneous(false)
		pack_start(@messaging=Messaging.instance,false,false)
		pack_start(Gtk::Label.new,true,true)
		pack_start(@progress=MultiProgress.new,false,false)
	end
	attr_reader :progress, :parent_window, :messaging

	def set_parent_window(parent_window)
		@parent_window=parent_window
	end

	def show
		super unless visible?
	end

	def to_s
		"SB"
	end
end

