#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class About < Gtk::VBox
	include ManqodCommon
	class Versions < Gtk::HBox
		def initialize
			super(true,3)
			@progs=Hash.new
		end
		def add(text,ver)
			pack_start(@progs[text]=Gtk::VBox.new.pack_start(Gtk::Label.new(text),true,true,2)) unless @progs.has_key?(text)
			@progs[text].pack_start(Gtk::Label.new(ver.to_s),true,true,2)
			self
		end
	end

  def initialize
	  @title="about"
		super(false,3)

		pack_start(v=Versions.new,false,false)
		Gem.cache.gems.each_pair{|key,gem| v.add(gem.name,gem.version) if gem.name.include?("manqod") }
		pack_start(Gtk::Label.new("User logged in: #{nick}"))
		pack_start(Gtk::Label.new("Homepage of manqod: http://manqod.sourceforge.net"))
		pack_start(Gtk::Label.new("LICENSE: CDDL
the author of this program(manqod) is Dobai-Pataky Balint(dpblnt@gmail.com)
manqod is released under the CDDL licence(http://www.opensource.org/licenses/cddl1.php) don't worry this only means the following: 
* you can use it, copy it, modify it
* if you want your modifications to be distributed send them back to me, i'll merge them in
* nobody can sell it"))
		pack_end(Versions.new.
			add("GTK+",Gtk::VERSION.join(".")).
			add("Ruby",RUBY_VERSION).
			add("GLib",GLib::VERSION.join(".")).
			add("Ruby/GLib",GLib::BINDING_VERSION.join(".")).
			add("Ruby/GTK",Gtk::BINDING_VERSION.join(".")),false,false)
  end
  attr_accessor :title
  
  def update(notifier)
		@title=notifier.text
  end
end
