#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class MyRendererEditableList < Mylist::MyListHolder
	include ManqodCommon
	def initialize(pc)
	  @pc=pc
	  super(pc.parentM.parentM)
	  set_parentM(pc.parentM.parentM)
	  list.set_id(pc.target) unless @pc.parentM.wysiwygf?
		@pc.set_include_in_query_building(false)

#	  set_has_frame(false)
=begin
 		signal_connect('activate'){|me| 
			edebug(inspect+" '#{item['data']}' changed to item #{me.active.inspect}","form","debug")
			pc.changed
			pc.notify_observers(self)
			edebug("'#{item['data']}' emiting 'changed' to observers","form","debug")
			run_events(item['id'],'form_item-Action')
		}
=end
	end	
	attr_accessor :pc

	def text
	  list.get_cursor_id.to_s
	end
	
	def item
		@pc.item
	end
	
	def update(new_value=item['default'])
	  item['default']=new_value
	  run_events(item['id'],'form_item-BeforeUpdate')
		pc.run_query
#	  set_text(item['default'].to_s) if item['default']
		pc.set_editable(pc.parentM.runmode != "add")
		super(pc.parentM.parentM) unless @pc.parentM.wysiwygf?
	  run_events(item['id'],'form_item-AfterUpdate')
	end

	def parentselected
	  @pc.parentselected
	end
	
	def method_missing(sym,*args)
		text
	end
	def inspect
		"Text(#{item["description"]})"
	end
	def to_s;inspect;end

end #MyRendererText
