#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class MyRendererFontButton < Gtk::FontButton
	include ManqodCommon
  def initialize(pc)
		@pc=pc
		super(item['default'])
		set_use_font(true)
		signal_connect('font-set'){|me|
			edebug(item['default']+" font-set","gtk_button","debug")
			run_events(item['id'],'form_item-Action')
		}
  end
  attr_accessor :pc

  def update(new_value=item['default'])
		item['default']=new_value
		run_events(item['id'],'form_item-BeforeUpdate')
		set_font_name(item['default'])
		edebug(item['default'].to_s+" updated","gtk_button","info")
		run_events(item['id'],'form_item-AfterUpdate')
  end

  def text
		font_name
  end

  def parentM
		pc.parentM
  end
  
  def item
		pc.item
  end
end
