#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class MyRendererHidden
	include ManqodCommon
  def initialize(pc)
		@pc=pc
  end
  attr_reader :pc

  def item
		pc.item
  end
    
  def text
		item['default'].to_s
  end
  
  def update(new_value=item['default'])
		item['default']=new_value
		run_events(item['id'],'form_item-BeforeUpdate')
		pc.run_query
		run_events(item['id'],'form_item-AfterUpdate')
  end
  
  def parentselected
		pc.parentselected
  end
  def parentM
		pc.parentM
  end
 	def method_missing(sym,*args)
  	nil
  end

	def to_s
		"Hidden(#{item["description"]})"
	end

end
