#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class MyRendererLabel < Gtk::Label
	include ManqodCommon
	def initialize(pc)
		@pc=pc
		super()
	end	
	attr_accessor :pc
	
	def update(new_value=item['default'])
		item['default']=new_value
		run_events(item['id'],'form_item-BeforeUpdate')
		pc.run_query
		set_text(item['default']) if item['default']
		run_events(item['id'],'form_item-AfterUpdate')
	end

	def item
		pc.item
	end
	
	def text
		item["default"]
	end
	
	def set_editable(*args)
	end
	
	def parentselected
		pc.parentselected
	end
	
	def parentM
		pc.parentM
	end
	
end #MyRendererText
