#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class MyRendererSpin < Gtk::SpinButton
	include ManqodCommon
	def initialize(pc)
	  @pc=pc
	  super(-65000,65000,1)
	  set_has_frame(false)
	  set_numeric(true)
	  set_increments(1,10)
	  set_digits(2)
 		signal_connect('value_changed'){|me| 
			edebug("#{self} changed to #{me.value}","form","debug")
			pc.changed
			pc.notify_observers(self)
			edebug("#{self} emiting 'changed' to observers","form","debug")
			run_events(item['id'],'form_item-Action')
		}
	end	
	attr_accessor :pc

	def item
		@pc.item
	end
	
	def update(new_value=item['default'])
	  item['default']=new_value
	  run_events(item['id'],'form_item-BeforeUpdate')
		pc.run_query
	  set_value(item['default'].to_f) if item['default']
#	  set_sensitive(item['editable']=="true")
	  run_events(item['id'],'form_item-AfterUpdate')
	end

	def parentselected
	  @pc.parentselected
	end
	
	def parentM
	  @pc.parentM
	end
	def inspect
		"SpinButton(#{item["description"]})"
	end
	def to_s;inspect;end

end #MyRendererText
