#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class MyRendererText < Gtk::Entry
	include ManqodCommon
	def initialize(pc)
	  @pc=pc
	  super()
	  set_has_frame(false)
 		signal_connect('activate'){|me| 
			edebug(inspect+" '#{item['data']}' changed to item #{me.active.inspect}","form","debug")
			pc.changed
			pc.notify_observers(self)
			edebug("'#{item['data']}' emiting 'changed' to observers","form","debug")
			run_events(item['id'],'form_item-Action')
		}

	end	
	attr_accessor :pc

	def text
	  super
	end
	
	def item
		@pc.item
	end
	
	def update(new_value=item['default'])
	  item['default']=new_value
	  run_events(item['id'],'form_item-BeforeUpdate')
		pc.run_query
	  set_text(item['default'].to_s) if item['default']
#	  set_sensitive(item['editable']=="true")
	  run_events(item['id'],'form_item-AfterUpdate')
	end

	def parentselected
	  @pc.parentselected
	end

	def parentM
	  @pc.parentM
	end
	
	def method_missing(sym,*args)
		text
	end
	def inspect
		"Text(#{item["description"]})"
	end
	def to_s;inspect;end

end #MyRendererText
