#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class MyRendererToggle < Gtk::CheckButton
	include ManqodCommon
	def initialize(pc)
		@pc=pc
		super(pc.item['description'],false)
		signal_connect('toggled'){
			run_events(pc.item['id'],'form_item-Action')
		}
	end
	attr_accessor :pc

	def update(new_value=pc.item['default'])
		run_events(pc.item['id'],'form_item-BeforeUpdate')
		item['default']=new_value
		pc.run_query
#	set_inconsistent(pc.item['editable']!="true")
#		set_sensitive(pc.item['editable']=="true")
		set_active(pc.item['default']=="true")
		run_events(pc.item['id'],'form_item-AfterUpdate')
	end
	def text
		self.active?.to_s
	end
	def parentM
		pc.parentM
	end
  def item
  	@pc.item
  end
 	def method_missing(sym,*args)
		text
	end
	def inspect
		"ToggleButton(#{item['description']})"
	end
	def to_s
		inspect
	end
end
