#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class MyCellRendererToggle < Gtk::CellRendererToggle
	def initialize(column)
		super()
		signal_connect("editing-started"){|cell, editable, path|
			false
		}
		signal_connect("toggled"){|me,path|
			@column.list.list_model.change_value_of_path(path,@column.header['data'],!active?)
		}
  end

	def set_column(column)
		@column=column
		set_activatable(@column.header['editable'])
	end
	
	def text
		active
	end
	def set_wrap_width(width)
		#we don't wrap this :)
	end
	def data
		header["data"]
	end
	
	def set_font(font)
		#doing nothing here
	end
end

