#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class OrderingButton < Gtk::Button
	include Conf
	def initialize(list_holder,orientation)
		@list_holder=list_holder
		@orientation=orientation
		super()
		set_relief(Gtk::ReliefStyle::NONE)
		set_image(Gtk::Image.new(@orientation,Gtk::IconSize.from_name(get_conf(0,0,"button-size"))))
		signal_connect('clicked'){|me|
			@list_holder.list.list_model.move_up_id(@list_holder.list.get_cursor_id) if @orientation == Gtk::Stock::GO_UP
			@list_holder.list.list_model.move_down_id(@list_holder.list.get_cursor_id) if @orientation == Gtk::Stock::GO_DOWN
		}
	end
	def update
		set_no_show_all(@list_holder.list.gtk_attribute("ordering").nil?)
		set_visible(!@list_holder.list.gtk_attribute("ordering").nil?)
	end
	def to_s
		"OrderingButton of #{@list_holder}"
	end
end

