#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

public
class SumPanelButton < Gtk::ToggleButton
	include Conf
  def initialize(list_holder)
	@list_holder=list_holder
	super()
	set_relief(Gtk::ReliefStyle::NONE)
	set_image(Gtk::Image.new(Gtk::Stock::ZOOM_IN,Gtk::IconSize.from_name(get_conf(0,0,"button-size"))))
	signal_connect('toggled'){|me|
	  me.list_holder.list_panel.set_visibility
	  set_conf(list_holder.list.get_id,0,"sum-panel",me.active?.to_s)
	}
  end
  attr_accessor :list_holder
  
  def update
  	set_active(get_conf(list_holder.list.list_id,0,"sum-panel")=="true")
	end
end
