#this file is part of manqod
#manqod is distributed under the CDDL licence
#the author of manqod is Dobai-Pataky Balint(dpblnt@gmail.com)

class MyListFilter < Gtk::HBox
	def initialize(list_holder)
		@list_holder=list_holder
		@columns=Hash.new
		super()
		set_no_show_all(true)
		set_border_width(0)
		set_resize_mode(Gtk::ResizeMode::PARENT)
	end
  
	def update(notifier)
		self.each{|frenderer| frenderer.destroy}
		notifier.columns.each {|column| 
			@columns[column.data]=MyFRenderer.new(notifier,column)
			pack_start(Gtk::Alignment.new(0,0,1,1).set_padding(0,0,0,0).add(@columns[column.data]))
		}
		self
	end
  
	def list_holder
		@list_holder
	end
	def columns
		@columns
	end

	def set_visible(visible)
		each{|child|
			if visible
				child.show_all
				else
				child.hide_all
			end
		}
		super
	end
end

